<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:clipChildren="false"
    android:layout_height="wrap_content">

    <ImageView
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:id="@+id/iv_icon"
        android:layout_width="@dimen/convert_330px"
        android:layout_height="@dimen/convert_330px"
        android:background="@drawable/ic_boil_water"
        app:layout_constraintTop_toTopOf="parent" />

    <com.develop.food.base.widgets.MarqueeTextView
        android:id="@+id/tv_mode_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/convert_47px"
        android:gravity="center"
        android:singleLine="true"
        android:ellipsize="marquee"
        android:focusable="true"
        android:textColor="@color/ic_modes_title"
        android:textSize="@dimen/convert_45px"
        app:layout_constraintTop_toBottomOf="@id/iv_icon" />
</androidx.constraintlayout.widget.ConstraintLayout>